#ifndef XITEMKEYHANDLER_H
#define XITEMKEYHANDLER_H

#include "xasset.h"
#include "xstring.h"

class XItemKeyHandler : public XAsset
{
public:
    explicit XItemKeyHandler();
    ~XItemKeyHandler();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    int mKey;
    XString mAction;
    XItemKeyHandler *mNext;
};

#endif // XITEMKEYHANDLER_H








